<?xml version="1.0"?>
<!DOCTYPE faces-config PUBLIC "-//Sun Microsystems, Inc.//DTD JavaServer Faces Config 1.1//EN"
                              "http://java.sun.com/dtd/web-facesconfig_1_1.dtd">

<faces-config>
	<application>

	</application>
	<factory>
		<faces-context-factory>
			org.ajax4jsf.portlet.context.FacesContextFactoryImpl
		</faces-context-factory>
	</factory>
	<lifecycle>
		<phase-listener>
			org.ajax4jsf.portlet.lifecycle.PortalPhaseListener
		</phase-listener>
	</lifecycle>
	<render-kit>

		<renderer>
			<description>override the viewroot</description>
			<component-family>javax.faces.ViewRoot</component-family>
			<renderer-type>org.ajax4jsf.portlet.ViewRoot</renderer-type>
			<renderer-class>
				org.ajax4jsf.portlet.renderkit.portlet.PortletAjaxViewRootRenderer
			</renderer-class>
		</renderer>
	</render-kit>

</faces-config>
